# Role: journal_to_loki

## Description

Installs and configures a simple script for relaying systemd journal to Loki.

https://grafana.com/docs/loki/latest/

https://www.freedesktop.org/software/systemd/man/latest/systemd-journald.service.html

## Usage

Using in a playbook:

```yaml
- name: Play
  gather_facts: true
  gather_subset:
    - distribution
  hosts:
    - all
  roles:
    - samuliy.ansible.journal_to_loki
  vars:
    ...
```

### Vars

`journal_to_loki_loki_host`:

Loki host.

`journal_to_loki_loki_port`:

Loki port.

`journal_to_loki_loki_http_verify`:

Verify certificates.

`journal_to_loki_loki_http_client_cert`:

Path to client certificate.

`journal_to_loki_loki_http_client_key`:

Path to client key.

`journal_to_loki_debug`:

Enable debugging.
